package eu.asvachin.audiorouter.gui;

import java.awt.Component;
import javax.sound.sampled.Mixer;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

/**
 * ListCellRenderer that displays only a name for Mixer.Info
 *
 * @author Miles Asvachin
 */
class MixerInfoListCellRenderer<E extends Mixer.Info> extends DefaultListCellRenderer
{
	@Override
	public Component getListCellRendererComponent(
			final JList<?> list,
			final Object value,
			final int index,
			final boolean isSelected,
			final boolean cellHasFocus)
	{
		Component component =  super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		
		if(value instanceof Mixer.Info)
		{
			setText(((Mixer.Info)value).getName());
		}
		
		return component;
	}
}
